Pale Moon 29.2.0 不再支持未移植的旧版 Firefox 扩展

当 Mozilla 从其传统的附加系统切换到 WebExtensions 时,Firefox 分支(如 Pale Moon)看到希望继续使用 Mozilla 新系统不再支持的扩展的用户有所增加。并非所有扩展都有效,但很多都有效,用户可以继续使用这些扩展。

Pale Moon 29.2.0 的发布在很大程度上改变了浏览器的扩展兼容性,因为它取消了对未调整为与 Pale Moon 浏览器一起使用的旧版 Firefox 扩展的支持。目前大约有 230 个扩展可用于 Pale Moon 官方 Pale Moon Add-ons 网站 ,包括流行的扩展,如 Decentraleyes、uBlock Origin (Legacy) 或 FoxyProxy。

根据 在 Pale Moon 项目所有者 Moonchild 的论坛帖子中,开发团队始终认为对 Firefox 扩展的支持是暂时的。经典 Firefox 扩展可能根本无法安装在 Pale Moon 中,或者可能会引入兼容性问题,这是在 Pale Moon 29.2.0 中阻止经典 Firefox 扩展的主要原因之一。

苍白的月亮 29.2.0 插件兼容性

不兼容的扩展可能会被移植以使其与 Pale Moon 浏览器兼容,但谁来做呢?对于 Pale Moon 项目团队来说,答案很明确。社区需要加强以确保他们使用的扩展程序与浏览器保持兼容。实际上,大多数浏览器用户不知道如何创建浏览器扩展或修改它们以使其工作。 Pale Moon 团队也无法将大多数浏览器扩展移植到浏览器,这使得一小群社区成员有技能和时间将一些扩展移植到浏览器。

官方 Pale Moon 论坛上提供了一个线程 发布关键的 Firefox-only 扩展 .

Pale Moon 用户可以继续使用 29.1.1 版浏览器,作为一种临时措施,以继续使用在 Pale Moon 29.2.0 或更高版本中将被禁用的扩展。测试兼容性的一个好选择是使用 Pale Moon 29.2.0 的便携式副本并测试该版本中的扩展兼容性,以查看哪些已安装的扩展保持兼容性,哪些不兼容。不建议在安装 29.2.0 升级后降级到早期版本的 Pale Moon,因为这可能会引入配置文件兼容性问题。

Pale Moon 29.2.0 于 2021 年 4 月 27 日发布 .

现在轮到你 : 你用Pale Moon吗?您是否受到兼容性更改的影响?